Skip to main content

Update Cart Settings by Store ID

PUT 

/v2/settings/cart/:storeID

You can modify the cart expiry settings to set it to any number of days up to 365. Any existing carts default to the expiry of 7 days. To update cart settings in Commerce Manager, see Updating Cart setting.

With update cart settings endpoint, you can:

  • Enable or disable custom discounts by setting the custom_discounts_enabled field to true. This allows you to activate your custom discounts from external services. By default, this setting is determined by the cart settings configured for the store.
  • Enable or disable the use of rule promotions within the cart. You can apply this setting either at the store level using the update cart setting endpoint or individually to a specific cart using the update a cart endpoint.
  • Enable or disable deferred inventory checks by setting defer_inventory_check to true. When set, stock levels are not verified for products in a cart until checkout.
  • Control whether admins can see all carts or only shopper-associated carts by setting show_all_carts to true or false.
  • Enable or disable location-based item separation by setting separate_items_by_location to true. When enabled, cart items with the same SKU but different locations are kept as separate line items instead of being merged.
note

Custom discounts and rule promotions can both be enabled for a store at the same time, for example, while transitioning from one promotion system to the other. However, an individual cart can only contain one type of discount at a time. A cart that contains custom discounts rejects Elastic Path promotions, and a cart that contains Elastic Path promotions rejects custom discounts, until the existing discounts are removed.

Request

Responses

OK

Ask External AI